# CallbackProperty

#### new Cesium.CallbackProperty(callback, isConstant)
DataSources/CallbackProperty.js 22

A `Property` whose value is lazily evaluated by a callback function.

Name | Type | Description
--- | --- | ---
`callback` | CallbackProperty~Callback | The function to be called when the property is evaluated.
`isConstant` | Boolean | `true` when the callback function returns the same value every time, `false` if the value will change.

### Members

#### readonlydefinitionChanged : Event
DataSources/CallbackProperty.js 50

Gets the event that is raised whenever the definition of this property changes. The definition is changed whenever setCallback is called.

#### readonlyisConstant : Boolean
DataSources/CallbackProperty.js 37

Gets a value indicating if this property is constant.

### Methods

#### equals(other) → Boolean
DataSources/CallbackProperty.js 101

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getValue(time, result) → Object
DataSources/CallbackProperty.js 64

Gets the value of the property.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | optional The time for which to retrieve the value. This parameter is unused since the value does not change with respect to time.
`result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied or is unsupported.

#### setCallback(callback, isConstant)
DataSources/CallbackProperty.js 74

Sets the callback to be used.

Name | Type | Description
--- | --- | ---
`callback` | CallbackProperty~Callback | The function to be called when the property is evaluated.
`isConstant` | Boolean | `true` when the callback function returns the same value every time, `false` if the value will change.

### Type Definitions

#### Callback(time, result) → Object
DataSources/CallbackProperty.js 105

A function that returns the value of the property.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | optional The time for which to retrieve the value.
`result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied or is unsupported.